org.apache.jmeter.util

## Class JsseSSLManager

- java.lang.Object
- - org.apache.jmeter.util.SSLManager
  - - org.apache.jmeter.util.JsseSSLManager

-     public class JsseSSLManager
      extends SSLManager

  The SSLManager handles the KeyStore information for JMeter. Basically, it handles all the logic for loading and initializing all the JSSE parameters and selecting the alias to authenticate against if it is available. SSLManager will try to automatically select the client certificate for you, but if it can't make a decision, it will pop open a dialog asking you for more information. TODO: does not actually prompt

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CPS` Characters per second, used to slow down sockets

    - ### Fields inherited from class org.apache.jmeter.util.SSLManager

      `defaultpw, JAVAX_NET_SSL_KEY_STORE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsseSSLManager(java.security.Provider provider)` Create the SSLContext, and wrap all the X509KeyManagers with our X509KeyManager so that we can choose our alias.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.net.ssl.SSLContext` | `getContext()` Returns the SSLContext we are using.
    `void` | `resetContext()` Resets the SSLContext if using per-thread contexts.
    `void` | `setContext(java.net.HttpURLConnection conn)` Sets the Context attribute of the JsseSSLManager object
    `protected void` | `setProvider(java.security.Provider p)` Sets the Provider attribute of the JsseSSLManager object

    - ### Methods inherited from class org.apache.jmeter.util.SSLManager

      `configureKeystore, destroyKeystore, getInstance, getKeyStore, getTrustStore, isSSLSupported, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CPS

          public static final int CPS

      Characters per second, used to slow down sockets

  - ### Constructor Detail

    - #### JsseSSLManager

          public JsseSSLManager(java.security.Provider provider)

      Create the SSLContext, and wrap all the X509KeyManagers with our X509KeyManager so that we can choose our alias.
      Parameters:
        `provider` - Description of Parameter

  - ### Method Detail

    - #### setContext

          public void setContext(java.net.HttpURLConnection conn)

      Sets the Context attribute of the JsseSSLManager object
      Specified by:
        `setContext` in class `SSLManager`
      Parameters:
        `conn` - The new Context value

    - #### setProvider

          protected final void setProvider(java.security.Provider p)

      Sets the Provider attribute of the JsseSSLManager object
      Overrides:
        `setProvider` in class `SSLManager`
      Parameters:
        `p` - The new Provider value

    - #### getContext

          public javax.net.ssl.SSLContext getContext()
                                              throws java.security.GeneralSecurityException

      Returns the SSLContext we are using. This is either a context per thread, or, for backwards compatibility, a single shared context.
      Returns:
        The Context value
      Throws:
        `java.security.GeneralSecurityException` - when constructing the context fails

    - #### resetContext

          public void resetContext()

      Resets the SSLContext if using per-thread contexts.

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.